#
# spec file for package efont-serif-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           efont-serif-fonts
Version:        20010312
Release:        681.1
Summary:        Free and Open Scalable Electronic Font
License:        GPL-2.0
Group:          System/X11/Fonts
Url:            http://openlab.ring.gr.jp/efont/
# downloaded from
# http://openlab.ring.gr.jp/efont/dist/serif/efont-serif-{version}-win.zip
# and converted to tar.bz2 to save a bit of space
Source0:        efont-serif-%{version}.tar.bz2
Source1:        fonts.scale.efont-serif-ttf
BuildRequires:  dos2unix
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
# Summary(ja):  真にフリーでオープンな電子書体です。
# %description -l ja
#
# 真にフリーでオープンな電子書体です。
#
#
# 例えば、再配布が自由な Omega Serif や URW Nimbus は、Adobe Times と字形
# が酷似しています。efont-serif は、アウトラインデータはもちろん、字形その
# ものも、著作権で保護されている他の書体を一切コピーしていません。
#
# Authors:
# --------
#
#     Kazuhiko Shiozaki <kazuhiko@ring.gr.jp>

%description
The efont-serif is a really free and open scalable electronic font.

The Omega Serif and URW Nimbus are also distributable. But their letter
forms are quite similar to Adobe Times. The efont-serif does not copy
the outlines or the letter forms of any copyrighted typefaces.

%prep
%setup -n efont-serif-%{version}-win

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -c -m 644 *.ttf %{buildroot}%{_ttfontsdir}
install -c -m 644 $RPM_SOURCE_DIR/fonts.scale.efont-serif-ttf %{buildroot}%{_ttfontsdir}/
dos2unix GPL*
%reconfigure_fonts_scriptlets -c

%files
%defattr(-, root,root)
%doc GPL*
%dir %{_ttfontsdir}/
%{_ttfontsdir}/*.ttf
%config %{_ttfontsdir}/fonts.scale.efont-serif-ttf

%changelog
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu May  3 2012 pgajdos@suse.com
- renamed efont-serif-ttf -> efont-serif-fonts
* Thu Apr 26 2012 pgajdos@suse.com
- license GPL-2.0 instead GPL-2.0+; I haven't found reference to
  "GPL-2.0 or later"
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
* Thu Apr  8 2010 tiwai@suse.de
- removed unnecessary buildrequires for too old distros
* Wed Aug  9 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/truetype
  (openSUSE 10.2 will use X11R7).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Thu Mar 18 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Sat Feb 14 2004 mfabian@suse.de
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Wed Nov 26 2003 mfabian@suse.de
- don't build as root
- remove unsupported ascii-0 encoding from fonts.scale
- remove useless %%post and %%postun.
* Fri Jun 13 2003 mfabian@suse.de
- add %%dir /usr/X11R6/lib/X11/fonts/truetype/ to file list
* Mon Jan 28 2002 schwab@suse.de
- Remove empty lines from fonts.scale.
* Tue Apr 17 2001 mfabian@suse.de
- update to version 20010312
- remove %%post and %%postun, it is enough when SuSEconfig
  updates the font directory, better don't duplicate the code
  here.
* Fri Mar  2 2001 mfabian@suse.de
- new package: efont-serif-ttf version 20010226
